VME Intensity Monitor - Task #11022
Milestone # 10477 (New): ANUB Startup

Milestone # 11019 (Accepted): Cycle devices for anub
Support for :BEAMnX devices
11/29/2015 05:38 PM - John Diamond

Status: Closed Start date: 11/29/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 4.00 hours
Target version: Spent time: 5.00 hours
Description

Where n = first hit of machine cycle events (e.g. 2 for Ml and E for RR).
This is a cycle device that returns sample data from the last machine cycle. For example, if the last Ml machine cycle was a $2A
then this cycle returns the same data as :BEAM2A.

History

#1 - 11/29/2015 10:58 PM - John Diamond
- % Done changed from 0 to 70

Implemented internal support for :BEAMNX devices via the CycleDeviceMachine class.
Implemented CycleDeviceMgr::show() to help test this.

Configured Ml and RR cycle device machine groups on anub and tested.

Need to implement ACNET interface for :-BEAMnX devices and test that.

#2 - 11/30/2015 04:08 PM - John Diamond
- % Done changed from 70 to 90

Implemented CycleDeviceAccessor::machineRead() to provide ACNET with access to a machine's active cycle device.
Created the following devices:

1:DCCT20
1:DCCT21

1:DCCT23
I:DCCT2A
1:DCCT2X

R:DCCTES
e R:DCCTEX

Tested what | could without a beam signal...

#3 - 12/21/2015 11:31 AM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 90 to 100

Was using CycleDeviceMgr::getSample instead of ::getMachineSample()... Corrected that and also noticed that the scaling factor was wrong on most
of the above devices. After fixing that | was able to verify that the machine array devices are working as expected.
